%define upstream_name    Test-Routine
%define upstream_version 0.020

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A walkthrough, in code, of Test::Routine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Meta::Class)
BuildRequires: perl(Moose::Meta::Method)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Exporter::Util)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Test::Routine is a very simple framework for writing your tests as
composable units of assertion. In other words: roles.

For a walkthrough of tests written with Test::Routine, see the
Test::Routine::Manual::Demo manpage.

Test::Routine is similar to the Test::Class manpage in some ways. These
similarities are largely superficial, but the idea of "tests bound together
in reusable units" is a useful one to understand when coming to
Test::Routine. If you are already familiar with Test::Class, it is the
differences rather than the similarities that will be more important to
understand. If you are not familiar with Test::Class, there is no need to
understand it prior to using Test::Routine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-6.mga6
+ Revision: 1034630
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.20.0-5.mga6
+ Revision: 933139
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 747704
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.20.0-3.mga5
+ Revision: 736016
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-2.mga5
+ Revision: 686534
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 sander85 <sander85> 0.20.0-1.mga5
+ Revision: 670927
- update to 0.020

* Mon Jul 07 2014 sander85 <sander85> 0.19.0-1.mga5
+ Revision: 650383
- update to 0.019

* Tue Feb 04 2014 shlomif <shlomif> 0.18.0-1.mga5
+ Revision: 581348
- update to 0.018

* Fri Oct 18 2013 umeabot <umeabot> 0.15.0-3.mga4
+ Revision: 515261
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.15.0-2.mga3
+ Revision: 373763
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 shlomif <shlomif> 0.15.0-1.mga3
+ Revision: 337335
- imported package perl-Test-Routine


* Tue Jan 01 2013 cpan2dist 0.015-1mga
- initial mageia release, generated with cpan2dist
